osmo-remsim - Bug #3890

TTCNS3 remsim test suite is not yet automatically executed
04/01/2019 07:36 PM - laforge

Status: Resolved Start date: 04/01/2019
Priority: High Due date:

Assignee: laforge % Done: 100%
Category: tests

Target version:

Description
We need to automatically execute the existing test suite against the osmo-remsim components.

This includes executing on a build slave with physical SIM card access (e.g. the one we use for pysim related tests?) and also one
with a SIMtrace or sysmoQMOD device so we can test the related functionalities in client + bankd.

Alternatively, one could start to emulate the cardem firmware or a CCID reader in order to execute the tests in a fully virtual
environment. The advantage would be software-induced changes such as card insert/removal and not having to wait for a modem to
reboot in order to talk to the SIM, ...

History

#1 - 05/08/2019 03:30 PM - laforge
- Tags setto TTCN3

- Category set to tests

#2 - 07/18/2019 05:53 AM - laforge
- Priority changed from Normal to High

#3 - 09/13/2019 12:02 PM - laforge
- Status changed from New to Resolved

- % Done changed from 0 to 100

testsuite is now executed, see https:/jenkins.osmocom.org/jenkins/view/TTCN3/job/ttcn3-remsim-test/

The related changes are https:/gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/15509https://gerrit.osmocom.org/c/docker-playground/+/15512
https://gerrit.osmocom.org/#/c/docker-playground/+/15511https://gerrit.osmocom.org/#/c/docker-playground/+/15508 and
https://gerrit.osmocom.org/c/osmo-ci/+/15513
